ChangeSet 1.1006.11.19, 2003/03/25 11:42:33-08:00, stern@rowland.harvard.edu

[PATCH] USB: Belkin Compact Flash card reader fix

On Sat, 22 Mar 2003, Matthew Dharm wrote:

> I have it, I think... better resend to make certain.

See below.

> It should probably be part of 2.5 also, but I was hoping to hear from JE
> first about the odd looking code in UHCI.

I think 2.5 doesn't need it; the odd code in question was moved from uhci
into the upper hcd layer and fixed (or removed) along the way.  But I
don't have the source here so I can't be sure about that.  It certainly
seems strange, though -- without this change the driver would fail
everything once an abort occurred on a uhci host.

Alan Stern


 drivers/usb/storage/transport.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Thu Mar 27 16:01:38 2003
+++ b/drivers/usb/storage/transport.c	Thu Mar 27 16:01:38 2003
@@ -388,6 +388,7 @@
 	us->current_urb->actual_length = 0;
 	us->current_urb->error_count = 0;
 	us->current_urb->transfer_flags = USB_ASYNC_UNLINK;
+	us->current_urb->status = 0;
 
 	/* submit the URB */
 	status = usb_submit_urb(us->current_urb);
@@ -434,6 +435,7 @@
 	us->current_urb->actual_length = 0;
 	us->current_urb->error_count = 0;
 	us->current_urb->transfer_flags = USB_ASYNC_UNLINK;
+	us->current_urb->status = 0;
 
 	/* submit the URB */
 	status = usb_submit_urb(us->current_urb);
